USING(6)

NAME
Using - G3D Model editor for the popular 3D realtime strategy game

DESCRIPTION
Using wxWidgets version [3.2.8.0]

megaglest_g3dviewer v3.13.0, [Using wxWidgets 3.2.8] usage:

megaglest_g3dviewer [G3D FILE]

Displays glest 3D-models and unit/projectile/splash particle systems. rotate with left mouse button, zoom with right mouse button or mousewheel. Use ctrl to load more than one particle system. Press R to restart particles, this also reloads all files if they are changed.

optionally you may use any of the following: Parameter: Description: ---------------------- ------------ --help displays this help text. --load-unit=x

Auto load the unit / skill information specified
    in path/filename x Where x is a g3d filename to load separated with a comma and one or more skill names to try loading: example:

    megaglest_g3dviewer --load-unit=techs/megapack/factions/tech/units/battle_machine,attack_skill,stop_skill

--load-model=x Auto load the model specified in path/filename x

Where x is a g3d filename to load:
    example:

    megaglest_g3dviewer --load-model=techs/megapack/factions/tech/units/battle_machine/models/battle_machine_dying.g3d

--load-model-animation-value=x Animation value when loading a model

Where x is a decimal value from -1.0 to 1.0:
    example:

    megaglest_g3dviewer --load-model-animation-value=0.5

--auto-screenshot=x

Automatically takes a screenshot of the items you
    are loading. Where x is a comma-delimited list of one or more

of the optional settings:
    transparent, enable_grid, enable_wireframe, enable_normals, disable_grid, disable_wireframe, disable_normals, saveas-<filename>, resize-wxh example:

    megaglest_g3dviewer --auto-screenshot=transparent,disable_grid,saveas-test.png,resize-800x600 --load-model=techs/megapack/factions/tech/units/battle_machine/models/battle_machine_dying.g3d

--load-particle=x

Auto load the particle specified in path/filename x
    Where x is a Particle XML filename to load: example:

    megaglest_g3dviewer --load-particle=techs/megapack/factions/persian/units/genie/glow_particles.xml

--load-projectile-particle=x

Auto load the projectile particle specified in
    path/filename x Where x is a Projectile Particle Definition XML

filename to load:
    example:

    megaglest_g3dviewer --load-projectile-particle=techs/megapack/factions/persian/units/genie/particle_proj.xml

--load-splash-particle=x

Auto load the splash particle specified in
    path/filename x Where x is a Splash Particle Definition XML

filename to load:
    example:

    megaglest_g3dviewer --load-splash-particle=techs/megapack/factions/persian/units/genie/particle_splash.xml

--load-particle-loop-value=x

Particle loop value when loading one or more
    particles Where x is an integer value from 1 to particle count: example:

    megaglest_g3dviewer --load-particle-loop-value=25

--zoom-value=x Zoom value when loading a model

Where x is a decimal value from 0.1 to 10.0:
    example:

    megaglest_g3dviewer --zoom-value=4.2

--rotate-x-value=x X Coordinate Rotation value when loading a model

Where x is a decimal value from -10.0 to 10.0:
    example:

    megaglest_g3dviewer --rotate-x-value=2.2

--rotate-y-value=x Y Coordinate Rotation value when loading a model

Where x is a decimal value from -10.0 to 10.0:
    example:

    megaglest_g3dviewer --rotate-y-value=2.2

--screenshot-format=x Specify which image format to use for screenshots.

Where x is one of the following supported formats
    png,jpg,tga,bmp *NOTE: png is the default (and supports transparency) example:

    megaglest_g3dviewer --screenshot-format=jpg

Invalid argument: --version

megaglest_g3dviewer v3.13.0, [Using wxWidgets 3.2.8] usage:

megaglest_g3dviewer [G3D FILE]

Displays glest 3D-models and unit/projectile/splash particle systems. rotate with left mouse button, zoom with right mouse button or mousewheel. Use ctrl to load more than one particle system. Press R to restart particles, this also reloads all files if they are changed.

optionally you may use any of the following: Parameter: Description: ---------------------- ------------ --help displays this help text. --load-unit=x

Auto load the unit / skill information specified
    in path/filename x Where x is a g3d filename to load separated with a comma and one or more skill names to try loading: example:

    megaglest_g3dviewer --load-unit=techs/megapack/factions/tech/units/battle_machine,attack_skill,stop_skill

--load-model=x Auto load the model specified in path/filename x

Where x is a g3d filename to load:
    example:

    megaglest_g3dviewer --load-model=techs/megapack/factions/tech/units/battle_machine/models/battle_machine_dying.g3d

--load-model-animation-value=x Animation value when loading a model

Where x is a decimal value from -1.0 to 1.0:
    example:

    megaglest_g3dviewer --load-model-animation-value=0.5

--auto-screenshot=x

Automatically takes a screenshot of the items you
    are loading. Where x is a comma-delimited list of one or more

of the optional settings:
    transparent, enable_grid, enable_wireframe, enable_normals, disable_grid, disable_wireframe, disable_normals, saveas-<filename>, resize-wxh example:

    megaglest_g3dviewer --auto-screenshot=transparent,disable_grid,saveas-test.png,resize-800x600 --load-model=techs/megapack/factions/tech/units/battle_machine/models/battle_machine_dying.g3d

--load-particle=x

Auto load the particle specified in path/filename x
    Where x is a Particle XML filename to load: example:

    megaglest_g3dviewer --load-particle=techs/megapack/factions/persian/units/genie/glow_particles.xml

--load-projectile-particle=x

Auto load the projectile particle specified in
    path/filename x Where x is a Projectile Particle Definition XML

filename to load:
    example:

    megaglest_g3dviewer --load-projectile-particle=techs/megapack/factions/persian/units/genie/particle_proj.xml

--load-splash-particle=x

Auto load the splash particle specified in
    path/filename x Where x is a Splash Particle Definition XML

filename to load:
    example:

    megaglest_g3dviewer --load-splash-particle=techs/megapack/factions/persian/units/genie/particle_splash.xml

--load-particle-loop-value=x

Particle loop value when loading one or more
    particles Where x is an integer value from 1 to particle count: example:

    megaglest_g3dviewer --load-particle-loop-value=25

--zoom-value=x Zoom value when loading a model

Where x is a decimal value from 0.1 to 10.0:
    example:

    megaglest_g3dviewer --zoom-value=4.2

--rotate-x-value=x X Coordinate Rotation value when loading a model

Where x is a decimal value from -10.0 to 10.0:
    example:

    megaglest_g3dviewer --rotate-x-value=2.2

--rotate-y-value=x Y Coordinate Rotation value when loading a model

Where x is a decimal value from -10.0 to 10.0:
    example:

    megaglest_g3dviewer --rotate-y-value=2.2

--screenshot-format=x Specify which image format to use for screenshots.

Where x is one of the following supported formats
    png,jpg,tga,bmp *NOTE: png is the default (and supports transparency) example:

    megaglest_g3dviewer --screenshot-format=jpg